// Rendering times
// Note 1:- antialias quick = 4min
//          antialias adaptive = 55min (due to metal textures suppose)
//          Vividw 2.a 18  486/66 under DR_DOS
// Note 2:- anitalias adaptive = 3hr 44min (with lsrsprk.vo included) :-(
//          Looks great tho'. :-)
//          Vividw 2.a 18  486/66 under DR_DOS
// Note 3:- Lsrsprk.bas at end of this file
/*
ͻ
         LSRLOGO.V = Spun Chrome Vivid Logo Zapped By Laser Beam         
                      May 23rd 1993  Martin Higgs                        
ͼ
*/

#include color.vc

studio {
	from -7.5 -9 6
	at 1.75 0 1
	up 0 0 1
	angle 25
	res 1280 960
	antialias adaptive
	aspect 4/3
	background 0.09 0.09 0
	ambient 0.1 0.1 0.1
//	no_exp_trans
//	no_shadows
}

//......light sources

light {
	type point
	falloff 1
	position -3 -0.5 4
	color white
}

light {
	type point
	falloff 1
	position 4 -2 4
	color white
}

//.......at impact point of laser beam
light {
	type spherical
	falloff 0
	radius 0.3
	position 1.25 0 0
	color white
}
//.......glow at impact point
surf {
	diff red
	brilliance 20
	transparent 0.999 0.999 0.999
}
sphere { center 1.25 0 0 radius 0.3 fuzz 0.2 }

surf {
	diff blue
	brilliance 20
	transparent 0.99 0.99 0.99
}
sphere { center 1.25 0 0 radius 0.2 fuzz 0.25 }

//......sparks from cones at impact point
surf {
	diff red
	brilliance 20
	transparent 0.999 0.999 0.999
}

transform { translate 1.25 0 0 }
#include lsrsprk.vo
transform_pop

/*
ͻ
                          Brushed Chrome Floor                           
ͼ
*/
surf {
	bump {
		turb {
			scale 25 .025 25
			amp 0.25
			terms 1
		}
	}
	diff 0.8 0.93 1
	brilliance 13
	spec 0.8 0.93 1
	shine 90 0.8 0.93 1
}

ring {
	center 0 0 -0.02 radius 1000 normal 0 0 1
	clip { center 1.25 0 0 radius 0.1 outside }
}
/*
ͻ
                               Laser Beam                                
ͼ
*/
surf {
	diff red
	amb red
	transparent 0.7 0.7 0.7
}
cone {
	base -7.5 -11 7.5  apex 1.25 0 0
	base_radius 0.00003 apex_radius 0.015
}

cone {
	base -7.5 11 7.5  apex 1.25 0 0
	base_radius 0.00003 apex_radius 0.015
}

/*
ͻ
                       Bright Spun Chrome Vivid Logo                     
ͼ
*/
surf {
	bump {
		turb {
			scale 25 25 .025
			amp 0.25
			terms 1
		}
	}
	diff 0.8 0.93 1
	brilliance 20
	spec 0.8 0.93 1
	shine 90 0.8 0.93 1
}

/*
ͻ
                          V taken from  MG_V.VO                          
                            1993 Martin Higgs                            
ͼ
Note:- This does not seem to clip the "top groove" correctly, looks OK to
       me,but then..
*/
transform {
	translate -0.15 0 0
	scale 1.333333
}
cone {
	base 0 0 0 apex 0 0 1.5 base_radius 0 apex_radius 0.75
	clip {
		base 0 -0.75 1.5 apex 0 0.75 1.5 radius 0.4 outside
	}
}
cone {
	base 0 -0.75 1.5 apex 0 0.75 1.5 radius 0.4
	clip {
		base 0 0 0 apex 0 0 1.5 base_radius 0 apex_radius 0.75 inside
	}
}
ring {
	center 0 0 1.5 radius 0.75 normal 0 0 1
	clip {
		base 0 -0.75 1.5 apex 0 0.75 1.5 radius 0.4 outside
	}
}
transform_pop

/*
ͻ
                          I taken from  MG_I.VO                          
                            1993 Martin Higgs                            
ͼ
*/
transform { translate 1.25 0 0 }
cone {
	base 0 0 0 apex 0 0 1.5 base_radius 0 apex_radius 0.3
	clip { center 1.25 0 0 radius 0.3 outside }
}
ring {
	center 0 0 1.5 radius 0.3 normal 0 0 1
}
sphere {
	center 0 0 1.75 radius 0.25
}
transform_pop

/*
ͻ
                          V taken from  MG_V.VO                          
                            1993 Martin Higgs                            
ͼ
*/
transform { translate 2.5 0 0 }
cone { 
	base 0 0 0 apex 0 0 1.5 base_radius 0 apex_radius 0.75 
	clip { 
		base 0 -0.75 1.5 apex 0 0.75 1.5 radius 0.4 outside 
	}
}
cone { 
	base 0 -0.75 1.5 apex 0 0.75 1.5 radius 0.4 
	clip { 
		base 0 0 0 apex 0 0 1.5 base_radius 0 apex_radius 0.75 inside 
	}
}
ring { 
	center 0 0 1.5 radius 0.75 normal 0 0 1 
	clip { 
		base 0 -0.75 1.5 apex 0 0.75 1.5 radius 0.4 outside 
	}
}
transform_pop

/*
ͻ
                          I taken from  MG_I.VO                          
                            1993 Martin Higgs                            
ͼ
*/
transform { translate 3.75 0 0 }
cone { 
	base 0 0 0 apex 0 0 1.5 base_radius 0 apex_radius 0.3 
}
ring { 
	center 0 0 1.5 radius 0.3 normal 0 0 1 
}
sphere { 
	center 0 0 1.75 radius 0.25 
}
transform_pop

/*
ͻ
                          D taken from  MG_D.VO                          
                            1993 Martin Higgs                            
ͼ
*/
transform { translate 4.9 0 0 }
sphere { 
	center 0 0 0.75 radius 0.75
	clip {
		base 0 -0.75 1 apex 0 0.75 1 radius 0.4 outside 
	}
}
cone { 
	base 0 -0.75 1 apex 0 0.75 1 radius 0.4 
	clip {
		center 0 0 0.75 radius 0.75 inside 
	}
}
cone { 
	base 0.75 0 0 apex 0.75 0 2 base_radius 0 apex_radius 0.3 
}
ring { 
	center 0.75 0 2 radius 0.3 normal 0 0 1 
}
transform_pop
